## xemacs21 21.4.22

=== debian/changelog ===
xemacs21 (21.4.22-14ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/fix_maximisation-bug.patch:
      + Fix maximisation issue where xemacs21 stayed in an infinite loop.
    - debian/patches/force-docs.patch:
      + Force generating documentation (hundreds of warnings with new
        makeinfo).
  * Drop following changes:
    - debian/README.source:
      + No longer needed since package uses quilt.
    - debian/control:
      + Don't bump Build-Depends on libtiff-dev
        since Debian bumped on libtiff5-dev.
  * debian/patches/ftbfs-gcc5.patch:
    - Fix FTBFS with GCC 5. (LP: #1506980, Closes: #778180)

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 27 Dec 2015 01:40:46 +0100

xemacs21 (21.4.22-14) unstable; urgency=low

  * Clean up after half baked removal of circular dependency, add an
    empty versioned lib directory now dpkg does the right thing with
    that (closes: #783704).

 -- Mark Brown <broonie@debian.org>  Wed, 29 Apr 2015 12:41:56 +0100

xemacs21 (21.4.22-13) unstable; urgency=low

  * Clean up after half baked removal of circular dependency, add an
    empty versioned lib directory now dpkg does the right thing with
    that (closes: #783704).

 -- Mark Brown <broonie@debian.org>  Wed, 29 Apr 2015 12:41:56 +0100

xemacs21 (21.4.22-12) unstable; urgency=low

  * Remove dependency from support to binary package since the binary
    package already has the equivalent dependency (closees: #735268).
  * Conflict against old transitional packages to make absolutely sure
    that they are removed before we try to upgrade (closes: #775733).
  * Above changes originally from Andreas Beckmann <anbe@debian.org>.

 -- Mark Brown <broonie@debian.org>  Sat, 25 Apr 2015 11:07:31 +0100

xemacs21 (21.4.22-11) unstable; urgency=low

  * Remove GNOME transitional packages which have been present for more
    than one release already to avoid hang (closes: #775733).

 -- Mark Brown <broonie@debian.org>  Mon, 19 Jan 2015 12:23:03 +0000

xemacs21 (21.4.22-10) unstable; urgency=medium

  * Only create symlinks for old etc and lisp directories in the support
    package (closes: #696146).

 -- Mark Brown <broonie@debian.org>  Thu, 16 Oct 2014 12:21:45 +0200

xemacs21 (21.4.22-9) unstable; urgency=low

  * Bump libtiff build dependency to libtiff5 since libtiff4 was
    removed (closes: #765161).

 -- Mark Brown <broonie@debian.org>  Wed, 15 Oct 2014 11:14:38 +0200

xemacs21 (21.4.22-8) unstable; urgency=low

  * Add watch file from David Gilman <dgilman@gilslotd.com> (closes: #744089).
  * Add homepage.
  * Policy 3.9.5 (no changes).

 -- Mark Brown <broonie@debian.org>  Fri, 11 Apr 2014 12:02:41 +0100

xemacs21 (21.4.22-7) unstable; urgency=low

  * Build depends on libpng (closes: #662557).
  * Use linux-any now it's available (closes: #634666).
  * Remove autogeneration of debian/control.
  * Remove stray build dep on dpatch.

 -- Mark Brown <broonie@debian.org>  Tue, 08 Apr 2014 14:15:56 +0100

xemacs21 (21.4.22-6) unstable; urgency=low

  * Build depend on libtiff-dev instead of libtiff4-dev (closes: #736050).

 -- Mark Brown <broonie@debian.org>  Thu, 23 Jan 2014 10:48:10 +0000

xemacs21 (21.4.22-5) unstable; urgency=low

  * Don't use install-info any more.

 -- Mark Brown <broonie@debian.org>  Sun, 17 Nov 2013 16:52:17 +0000

xemacs21 (21.4.22-4ubuntu3) trusty; urgency=low

  * And actually apply the dpatch in the 00list.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 04 Nov 2013 04:13:49 +0000

xemacs21 (21.4.22-4ubuntu2) trusty; urgency=low

  * Force generating documentation (hundreds of warnings with new
    makeinfo).

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 04 Nov 2013 03:53:32 +0000

xemacs21 (21.4.22-4ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Fix maximisation issue where xemacs21 stayed in an infinite loop.
    - Fix lintian's warning patch-system-but-no-source-readme.
    - Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Nov 2012 01:42:38 +0000

xemacs21 (21.4.22-4) unstable; urgency=low

  * New maintainer, reupload.  There are still a number of issues that
    need to be fixed with the package but this restores us to roughly
    the state we were in prior to removal with the RC bugs dealt with
    ready for incremental fixes and able to use pbuilder (closes: #729660).
  * Fix build with texinfo5 (closes: #712355).
  * Build depend on unversioned libjpeg-dev so we can build (closes: #634646).
  * Convert to v3.0 (quilt).
  * Clean some additional generated files.

 -- Mark Brown <broonie@debian.org>  Sun, 17 Nov 2013 16:22:48 +0000

xemacs21 (21.4.22-3.2ubuntu2) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 16:56:58 +0100

xemacs21 (21.4.22-3.2ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/patches/21_fix_maximation_bug.dpatch:
      + Fix maximation issue, where xemacs21 meant to stay in an infinite loop
    - debian/README.source: Fix lintian's warning
      patch-system-but-no-source-readme.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 21 Nov 2011 17:53:09 +0100

xemacs21 (21.4.22-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on libjpeg-dev instead of libjpeg62-dev (Closes:
    #634646)
  * Add lintian overrides to xemacs21-support to get the NMU trough the
    FTP-Master rejects.

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Nov 2011 15:10:05 +0100

xemacs21 (21.4.22-3.1ubuntu1) maverick; urgency=low

  * Merge from debian unstable. (LP: #611931) Remaining changes: 
    - debian/patches/21_fix_maximation_bug.dpatch:
      + Fix maximation issue, where xemacs21 meant to stay in an infinite loop
  * debian/README.source: Fix lintian's warning patch-system-but-no-source-readme.

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 31 Jul 2010 03:51:25 +0200


