=== debian/control ===
Source: xemacs21
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mark Brown <broonie@debian.org>
Standards-Version: 3.9.5
Homepage: http://www.xemacs.org/
Build-Depends: autotools-dev, texinfo, libcanna1g-dev, libwnn6-dev, libjpeg-dev, libncurses5-dev, libpng-dev, libtiff5-dev, zlib1g-dev, texi2html, debhelper (>> 5.0.0), libldap2-dev, libdb-dev, libpam0g-dev, libcompfaceg1-dev, libx11-dev, libxau-dev, libxext-dev, libxmu-dev, libxpm-dev, libxt-dev, xbitmaps, xcursor-themes, libxaw7-dev, autoconf2.13,  libesd0-dev, libgpm-dev [linux-any]

Package: xemacs21
Architecture: all
Depends: xemacs21-mule (>= ${source:Version}) | xemacs21-mule-canna-wnn (>= ${source:Version}) | xemacs21-nomule (>= ${source:Version}), ${misc:Depends}
Replaces: xemacs, xemacs-widget
Conflicts: xemacs, xemacs-widget
Description: highly customizable text editor
 XEmacs is a full fledged programming language with a mail reader,
 news reader, info browser, web browser, calendar, specialized editor
 for more programming languages and other formats than most people
 encounter in a lifetime, and much more.
 .
 This package exists to cause the installation of the real XEmacs packages.

Package: xemacs21-mule
Architecture: any
Depends: xemacs21-support (= ${source:Version}), xemacs21-bin (= ${binary:Version}), ${shlibs:Depends}, xemacs21-mulesupport (>= 2003.04.23-1), xemacs21-basesupport (>= 2003.04.23-1), emacsen-common, ${misc:Depends}
Conflicts: xemacs21-gnome-mule
Provides: emacsen, info-browser, mail-reader, news-reader, www-browser, xemacs21
Description: highly customizable text editor -- Mule binary
 XEmacs is a full fledged programming language with a mail reader,
 news reader, info browser, web browser, calendar, specialized editor
 for more programming languages and other formats than most people
 encounter in a lifetime, and much more.
 .
 This package contains the actual binary used to run XEmacs.  It
 depends on the xemacs21-support package for lisp and etc files, and
 the xemacs21-bin package for supporting binaries.  This binary has
 been compiled with support for mule, but no input extensions.
 .
 Mule is the extension to (x)emacs that allows for the display of
 non-European characters (for example Japanese and Korean characters).
 This version of the package is mainly useful for only the display and
 reading of international characters.  It does not have any mechanism
 for entering non-European characters (see the xemacs21-mule-canna-wnn
 package for that).
 .
 This package actually contains one of the three xemacs binaries
 available.  They are xemacs21-nomule, xemacs21-mule and
 xemacs21-mule-canna-wnn.

Package: xemacs21-nomule
Architecture: any
Depends: xemacs21-support (= ${source:Version}), xemacs21-bin (= ${binary:Version}), ${shlibs:Depends}, xemacs21-basesupport (>= 2003.04.23-1), emacsen-common, ${misc:Depends}
Conflicts: xemacs21-gnome-nomule
Provides: emacsen, info-browser, mail-reader, news-reader, www-browser, xemacs21
Description: highly customizable text editor -- Non-mule binary
 XEmacs is a full fledged programming language with a mail reader,
 news reader, info browser, web browser, calendar, specialized editor
 for more programming languages and other formats than most people
 encounter in a lifetime, and much more.
 .
 This package contains the actual binary used to run XEmacs.  It
 depends on the xemacs21-support package for lisp and etc files, and
 the xemacs21-bin package for supporting binaries.  This binary does
 not have any of the mule stuff compiled into it.  It should be faster
 than the xemacs21-mule and xemacs21-mule-canna-wnn packages because
 it does not contain the fairly large bit of code for either the
 display or input of non-European characters.
 .
 This package actually contains one of the three xemacs binaries
 available.  They are xemacs21-nomule, xemacs21-mule and
 xemacs21-mule-canna-wnn.

Package: xemacs21-mule-canna-wnn
Architecture: any
Depends: xemacs21-support (= ${source:Version}), xemacs21-bin (= ${binary:Version}), ${shlibs:Depends}, xemacs21-mulesupport (>= 2003.04.23-1), xemacs21-basesupport (>= 2003.04.23-1), emacsen-common, ${misc:Depends}
Conflicts: xemacs21-gnome-mule-canna-wnn
Suggests: xfonts-cjk
Provides: emacsen, info-browser, mail-reader, news-reader, www-browser, xemacs21
Description: highly customizable text editor -- Mule binary compiled with Canna and Wnn
 XEmacs is a full fledged programming language with a mail reader,
 news reader, info browser, web browser, calendar, specialized editor
 for more programming languages and other formats than most people
 encounter in a lifetime, and much more.
 .
 This package contains the actual binary used to run XEmacs.  It
 depends on the xemacs21-support package for lisp and etc files, and
 the xemacs21-bin package for supporting binaries.  This binary has
 support for the input extensions Canna and WNN compiled in.
 .
 Mule is an extension to (x)emacs that allows for the display and
 input of non-European characters.  This binary allows for input and
 display whereas the xemacs21-mule package only does display.
 .
 This package actually contains one of the three xemacs binaries
 available.  They are xemacs21-nomule, xemacs21-mule and
 xemacs21-mule-canna-wnn.

Package: xemacs21-bin
Architecture: any
Conflicts: suidmanager (<< 0.50)
Depends: xemacs21-support (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: highly customizable text editor -- support binaries
 XEmacs is a full fledged programming language with a mail reader,
 news reader, info browser, web browser, calendar, specialized editor
 for more programming languages and other formats than most people
 encounter in a lifetime, and much more.
 .
 After starting it up peruse the Help menu and read more on its
 origins and what it can do.
 .
 You will need one of xemacs21-mule, xemacs21-nomule, or
 xemacs21-mule-canna-wnn to actually run xemacs.

Package: xemacs21-support
Architecture: all
Conflicts: xemacs-support, sgml-base (<< 1.23)
Replaces: xemacs-support
Suggests: xemacs21-supportel (= ${source:Version})
Depends: emacsen-common, ${misc:Depends}
Description: highly customizable text editor -- architecture independent support files
 XEmacs is a full fledged programming language with a mail reader,
 news reader, info browser, web browser, calendar, specialized editor
 for more programming languages and other formats than most people
 encounter in a lifetime, and much more.
 .
 Support and architecture independent files for XEmacs 21.4.22.  This
 includes the files found in etc and all required elisp library files
 (mostly compiled (.elc files), but a few uncompiled (.el files)).

Package: xemacs21-supportel
Architecture: all
Depends: xemacs21-support (= ${source:Version}), ${misc:Depends}
Description: highly customizable text editor -- non-required library files
 XEmacs is a full fledged programming language with a mail reader,
 news reader, info browser, web browser, calendar, specialized editor
 for more programming languages and other formats than most people
 encounter in a lifetime, and much more.
 .
 This package contains all the non-necessary library files for
 XEmacs.  The xemacs21-support package contains the compiled versions
 of these files.
 .
 The major reason to install this package is if you want to learn
 elisp or modify the libraries for your specific installation.
