## xemacs21 21.4.24

=== debian/changelog ===
xemacs21 (21.4.24-9) unstable; urgency=low

  * Fix corruption in ldap.texi (closes: #952371).
  * Add some @documentencoding tags in texinfo to deal with
    fragility in new texinfo versions.
  * Policy 4.5.0 (no changes).

 -- Mark Brown <broonie@debian.org>  Mon, 24 Feb 2020 23:09:41 +0000

xemacs21 (21.4.24-8) unstable; urgency=medium

  * Fix build on hppa with patch from John David Anglin (closes: #917365).

 -- Mark Brown <broonie@debian.org>  Mon, 04 Feb 2019 12:02:19 +0100

xemacs21 (21.4.24-7) unstable; urgency=low

  * Apply patch from Tatsuya Kinoshita <tats@debian.org> fixing left
    over reference to site-start.el from the old emacsen-common
    version (closes: #915190).

 -- Mark Brown <broonie@debian.org>  Mon, 24 Dec 2018 18:16:12 +0000

xemacs21 (21.4.24-6) unstable; urgency=low

  * Yet another debhelper compat level bump, interface churn yay
    (closes: #902524).
  * Apply a series of patches from Rob Browning updating for the new
    eamcsen-common.

 -- Mark Brown <broonie@debian.org>  Sun, 26 Aug 2018 14:36:51 +0100

xemacs21 (21.4.24-5) unstable; urgency=low

  * Acknowledge needless zero day NMU, will need to merge with the
    packaging rework later. 

 -- Mark Brown <broonie@debian.org>  Thu, 18 Jan 2018 19:27:30 +0000

xemacs21 (21.4.24-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop libesd0-dev from the build-dependencies, this is some
    leftover as esd support has been disabled since 2001 (Closes: #856092)
  * debian/control: Explicitly state in the short description that xemacs21
    package is a metapackage to avoid being auto-rejected by dak
  * debian/PackagesMakefile.in: Make the manpages reproducible by removing
    timestamps when gzip'ing (-n) the files

 -- Laurent Bigonville <bigon@debian.org>  Thu, 18 Jan 2018 13:17:38 +0100

xemacs21 (21.4.24-4) unstable; urgency=low

  * Force off PIE since GCC enabled it by default which breaks the LISP
    handling (closes: #837712)

 -- Mark Brown <broonie@debian.org>  Sun, 23 Oct 2016 00:08:16 +0100

xemacs21 (21.4.24-3) unstable; urgency=low

  * Fix yet more breakage from the perl @INC change which somehow didn't
    get included in the mass bug filing prior to that change being
    implemented (closes: #837225).

 -- Mark Brown <broonie@debian.org>  Fri, 16 Sep 2016 12:04:16 +0100

xemacs21 (21.4.24-2) unstable; urgency=low

  * Add build-arch and build-indep targets for policy (closes: #822037).

 -- Mark Brown <broonie@debian.org>  Mon, 25 Apr 2016 18:57:12 +0100

xemacs21 (21.4.24-1) unstable; urgency=low

  * New upstream release.
  * Fix for GCC 5 issues (closes: #778180):
    * Pick upstream fix for align_t from Jerry James <james@xemacs.org>.
    * Build with -fgnu89-inline to fix GCC 5 breakage with a surprising
      redefinition of static inline to be extern.
  * Rebuild will pick up new libpng (closes: #650581).
  * dh_undocumented is gone, don't bother calling it.

 -- Mark Brown <broonie@debian.org>  Thu, 13 Aug 2015 13:14:35 +0100
