=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: xemacs21
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mark Brown <broonie@debian.org>
-Standards-Version: 3.9.5
+Maintainer: Mark Brown <broonie@debian.org>
+Standards-Version: 4.5.0
 Homepage: http://www.xemacs.org/
-Build-Depends: autotools-dev, texinfo, libcanna1g-dev, libwnn6-dev, libjpeg-dev, libncurses5-dev, libpng-dev, libtiff5-dev, zlib1g-dev, texi2html, debhelper (>> 5.0.0), libldap2-dev, libdb-dev, libpam0g-dev, libcompfaceg1-dev, libx11-dev, libxau-dev, libxext-dev, libxmu-dev, libxpm-dev, libxt-dev, xbitmaps, xcursor-themes, libxaw7-dev, autoconf2.13,  libesd0-dev, libgpm-dev [linux-any]
+Build-Depends: autotools-dev, texinfo, libcanna1g-dev, libwnn6-dev, libjpeg-dev, libncurses5-dev, libpng-dev, libtiff5-dev, zlib1g-dev, texi2html, debhelper (>> 5.0.0), libldap2-dev, libdb-dev, libpam0g-dev, libcompfaceg1-dev, libx11-dev, libxau-dev, libxext-dev, libxmu-dev, libxpm-dev, libxt-dev, xbitmaps, xcursor-themes, libxaw7-dev, autoconf2.13, libgpm-dev [linux-any]
 
 Package: xemacs21
 Architecture: all
 Depends: xemacs21-mule (>= ${source:Version}) | xemacs21-mule-canna-wnn (>= ${source:Version}) | xemacs21-nomule (>= ${source:Version}), ${misc:Depends}
 Replaces: xemacs, xemacs-widget
 Conflicts: xemacs, xemacs-widget
-Description: highly customizable text editor
+Description: highly customizable text editor metapackage
  XEmacs is a full fledged programming language with a mail reader,
  news reader, info browser, web browser, calendar, specialized editor
  for more programming languages and other formats than most people
@@ -22,7 +21,7 @@
 
 Package: xemacs21-mule
 Architecture: any
-Depends: xemacs21-support (= ${source:Version}), xemacs21-bin (= ${binary:Version}), ${shlibs:Depends}, xemacs21-mulesupport (>= 2003.04.23-1), xemacs21-basesupport (>= 2003.04.23-1), emacsen-common, ${misc:Depends}
+Depends: xemacs21-support (= ${source:Version}), xemacs21-bin (= ${binary:Version}), ${shlibs:Depends}, xemacs21-mulesupport (>= 2003.04.23-1), xemacs21-basesupport (>= 2003.04.23-1), emacsen-common (>= 3.0.0), ${misc:Depends}
 Conflicts: xemacs21-gnome-mule
 Provides: emacsen, info-browser, mail-reader, news-reader, www-browser, xemacs21
 Description: highly customizable text editor -- Mule binary
@@ -49,7 +48,7 @@
 
 Package: xemacs21-nomule
 Architecture: any
-Depends: xemacs21-support (= ${source:Version}), xemacs21-bin (= ${binary:Version}), ${shlibs:Depends}, xemacs21-basesupport (>= 2003.04.23-1), emacsen-common, ${misc:Depends}
+Depends: xemacs21-support (= ${source:Version}), xemacs21-bin (= ${binary:Version}), ${shlibs:Depends}, xemacs21-basesupport (>= 2003.04.23-1), emacsen-common (>= 3.0.0), ${misc:Depends}
 Conflicts: xemacs21-gnome-nomule
 Provides: emacsen, info-browser, mail-reader, news-reader, www-browser, xemacs21
 Description: highly customizable text editor -- Non-mule binary
@@ -72,7 +71,7 @@
 
 Package: xemacs21-mule-canna-wnn
 Architecture: any
-Depends: xemacs21-support (= ${source:Version}), xemacs21-bin (= ${binary:Version}), ${shlibs:Depends}, xemacs21-mulesupport (>= 2003.04.23-1), xemacs21-basesupport (>= 2003.04.23-1), emacsen-common, ${misc:Depends}
+Depends: xemacs21-support (= ${source:Version}), xemacs21-bin (= ${binary:Version}), ${shlibs:Depends}, xemacs21-mulesupport (>= 2003.04.23-1), xemacs21-basesupport (>= 2003.04.23-1), emacsen-common (>= 3.0.0), ${misc:Depends}
 Conflicts: xemacs21-gnome-mule-canna-wnn
 Suggests: xfonts-cjk
 Provides: emacsen, info-browser, mail-reader, news-reader, www-browser, xemacs21
@@ -116,7 +115,7 @@
 Conflicts: xemacs-support, sgml-base (<< 1.23)
 Replaces: xemacs-support
 Suggests: xemacs21-supportel (= ${source:Version})
-Depends: emacsen-common, ${misc:Depends}
+Depends: emacsen-common (>= 3.0.0), ${misc:Depends}
 Description: highly customizable text editor -- architecture independent support files
  XEmacs is a full fledged programming language with a mail reader,
  news reader, info browser, web browser, calendar, specialized editor
