=== debian/rules ===
--- 
+++ 
@@ -39,8 +39,8 @@
 xemacs_ver = xemacs${maj_version}
 html_file_loc = debian/html
 
-# For debugging: debian policy states that you should build with -g -Wall
-CFLAGS += -g -Wall
+build-arch: build
+build-indep: build
 
 build: pre-build build-stamp
 build-stamp: debian/PackagesMakefile
